// priority: 100

ServerEvents.tags('item', event => {

    event.add('itemfilters:check_nbt', [
	  'extendedcrafting:singularity', 
	  'patchouli:guide_book',
	  'immersiveengineering:blueprint',
	  'naturesaura:aura_bottle', 
	  'naturesaura:effect_powder', 
	  ])

	event.add('nwtc:runic_wood', [
		'solarcraft:runic_log', 
		'naturesaura:ancient_log',
		])
	event.add('nwtc:runic_stone', [
		'solarcraft:magistone', 
		'forbidden_arcanus:darkstone',
		])


	  event.add('forge:flour', [
		'enderio:flour', 
	  ])
	   event.add('forge:fluidtank', [
	  'mekanism:basic_fluid_tank', 
	  'mekanism:advanced_fluid_tank', 
	  'mekanism:elite_fluid_tank', 
	  'mekanism:ultimate_fluid_tank', 
	  ])
	  
	  event.add('industrialforegoing:machine_frame/pity', [
		'enderio:void_chassis', 
		'ad_astra:engine_frame',
		'powah:dielectric_casing', 
		'thermal:machine_frame',
		'refinedstorage:machine_casing', 
		
		])
	
	event.add('nwtc:advanced_alga_essences_ingot', [
			'nwtc:advanced_alga_essences_ingot', 
			])	

	//魔源通道
	event.add('forge:sourcelink', [
		'ars_nouveau:agronomic_sourcelink', 
		'ars_nouveau:volcanic_sourcelink',
		'ars_nouveau:alchemical_sourcelink',
		'ars_nouveau:vitalic_sourcelink',
		'ars_nouveau:mycelial_sourcelink',
		])
	//黑曜石粉
	event.add('forge:dusts/obsidian', [
		'create:powdered_obsidian', 
			])			
	//电容
	event.add('forge:capacitor', [
		'enderio:basic_capacitor', 
		'powah:capacitor_basic',
		'createaddition:capacitor',
		])
	//电池-基础
	event.add('forge:energy_cell_1', [
		'powah:energy_cell_starter', 
		'createaddition:modular_accumulator', 
		'immersiveengineering:capacitor_lv',
		])
	//电池-中级
	event.add('forge:energy_cell_2', [
		'powah:energy_cell_basic', 
		'immersiveengineering:capacitor_mv',
		])
	//电线1
	event.add('forge:energy_conduit_1', [
		'enderio:energy_conduit', 
		'powah:energy_cable_basic',
		])
	//末影锭
	event.add('forge:ingots/ender_ingot', [
		'solarcraft:enderium_ingot', 
		])
	//高级机器框架
	event.add('industrialforegoing:machine_frame/supreme', [
		'extradisks:advanced_machine_casing', 
		])







	
	
	
	
	
})